﻿@model GameCreateModel
@{
    var userId = Model.UserId;
    var units = Model.Units;
}

<div class="modal-header">
    <h5 class="modal-title" id="exampleModalLabel">
        Erstelle ein Spiel
    </h5>
    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
        <span aria-hidden="true">&times;</span>
    </button>
</div>
<div class="modal-body" style="max-height: 512px; overflow: auto">
    <table class="table table-striped">
        <thead>
            <tr>
                <th scope="col">Kapitel</th>
                <th scope="col">Beschreibung</th>
                <th scope="col"></th>
            </tr>
        </thead>
        <tbody>
            @foreach (var unit in units)
            {
                <tr>
                    <td class="">
                        @unit.KapitelNr
                    </td>
                    <td class="">
                        @unit.Beschreibung
                    </td>
                    <td class="text-right">
                        <button class="btn btn-outline-primary" onclick="create_game('@userId', @unit.Id)">Erstellen</button>
                    </td>
                </tr>
            }
        </tbody>
    </table>
</div>
<div class="modal-footer">
    <div id="load-spinner" class="loader hidden"></div>
    <div style="margin: auto"></div>
    <button type="button" class="btn btn-danger" data-dismiss="modal">Schließen</button>
</div>